<h2> Reactive: <small>Dinámicos</small> </h2>
<hr>

<form (ngSubmit)="guardar()" autocomplete="off" [formGroup]="miForm">
    <div class="mb-3 row">
        <label class="col-sm-3 col-form-label">Nombre</label>
        <div class="col-sm-9">
            <input type="text"
                   class = "form-control" 
                   formControlName="nombre"
                   placeholder = "Nombre de la persona">
            <span *ngIf="campoNoValido('nombre')" class="form-text text-danger">Debe de ser de 3 letras</span>
        </div>
    </div>
    <!-- Campo de Agregar -->
    <div class="mb-3 row">
        <label class="col-sm-3 col-form-label">Agregar</label>
        <div class="col-sm-9">
            <div class="input-group">
                <input type="text"
                       class="form-control" 
                       placeholder="Agregar favorito" 
                       aria-label="Agregar favorito"
                       [formControl]="nuevoFavorito"
                       aria-describedby="button-addon2"
                       (keyup.enter)="agregar( $event )"
                       >
                <button class="btn btn-outline-primary" type="button" id="button-addon2" (click)="agregar( $event )">Agregar</button>
            </div>
        </div>
    </div>
    <!-- Lista de Juegos favoritos -->
    <div class="mb-3 row">
        <label class="col-sm-3 col-form-label">Favoritos</label>
        <div class="col-sm-9" formArrayName="favoritos"> 
            <div class="input-group" *ngFor="let item of favoritosArr.controls; let i = index">
                <input class="form-control mb-1 mt-1 float-end" 
                [formControlName]="i">
                <button class="btn btn-outline-danger mb-1 mt-1" type="button" id="button-addon2" (click)="eliminar(i)">Eliminar</button>
            </div>
        </div>
    </div>
    
    <div class="row">
        <div class="col-ms-12">
            <button type="submit" class="btn btn-primary float-end">Guardar</button>
        </div>
    </div>

    <div class="row">
        <div class="col">
            <span>Valid</span>
            <pre>{{miForm.valid}}</pre>
            <br>
            <span>Touched</span>
            <pre>{{miForm.touched}}</pre>
            <br>
            <span>Value</span>
            <pre>{{miForm.value | json}}</pre>
            <br>
            <span>Favorito</span>
            <pre>{{nuevoFavorito.value | json}}</pre>
            <br>
            <span>Lista de Favoritos</span>
            <pre>{{favoritosArr.value | json}}</pre>
            <br>
            <!-- como el valor se puede deshabilitar, debemos recordar que no está incluido en los valores del formulario. Entonces, si también desea obtener los valores deshabilitados, use this.scheduleForm.getRawValue() -->
            <!-- <pre>{{miForm.getRawValue() | json}}</pre> -->
        </div>
    </div>

</form>

<!-- (keyup.enter)="agregar( $event )" -->


    <!-- Lista de Juegos favoritos --> <!-- solo escritura -->
    <!-- <div class="mb-3 row">
        <label class="col-sm-3 col-form-label">Favoritos</label>
        <div class="col-sm-9" formArrayName="favoritos"> 
            <div class="input-group" *ngFor="let item of favoritosArr.controls; let i = index">
                <input class="form-control mb-1 mt-1 float-end" 
                       [formControlName]="i" readonly>
                <button class="btn btn-outline-danger mb-1 mt-1" type="button" id="button-addon2" (click)="eliminar(i)">Eliminar</button>
            </div>
        </div>
    </div> -->

           
   <!-- Mostrar como item de lista -->
   <!-- Lista de Juegos favoritos -->
    <!-- <div class="mb-3 row">
        <label class="col-sm-3 col-form-label">Favoritos</label>
        <div class="col-sm-9" formArrayName="favoritos"> 
            <ul class="list-group" *ngFor="let item of favoritosArr.value; let i = index">
                <li class="list-group-item">{{ item }}
                    <button class="btn btn-outline-danger mb-1 mt-1 float-end" type="button" id="button-addon2" (click)="eliminar(i)">Eliminar</button>
                </li>
            </ul>
        </div>
    </div> -->
    <!-- (keyup.control.1)="agregar()" -->
